Oozie
  1. Oozie
  2. OOZIE-623

TestPigMain should not test embedded Jython if the version of Pig does not support it

    Details

    • Type: Bug Bug
    • Status: Open
    • Priority: Critical Critical
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: None
    • Labels:
      None

      Description

      If using Pig prior to 0.9 embedded jython is not supported, the testcase should skip it the jython test

        Activity

        Hide
        Harsh J added a comment -

        I opened PIG-2455 since I think there is no programmatic way to determine Pig's version presently.

        Show
        Harsh J added a comment - I opened PIG-2455 since I think there is no programmatic way to determine Pig's version presently.
        Hide
        Harsh J added a comment -

        How about, for now, we skip based on class-loading success/failure?

        Show
        Harsh J added a comment - How about, for now, we skip based on class-loading success/failure?

          People

          • Assignee:
            Harsh J
            Reporter:
            Alejandro Abdelnur
          • Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

            • Created:
              Updated:

              Development